/* ibmafi.h */
/************************************************************************/
/* (C) Copyright IBM Corporation 1986.					*/
/************************************************************************/


/************************************************************************/
/* Definitions & declarations relevant to the AF Interface		*/
/*									*/
/* For use with the IBM C 1.00 compiler with /Ze option (any model).	*/
/* This file then includes the compiler independent file afidata.h	*/
/*									*/
#ifndef NULL
#define NULL 0x0L
#endif

#ifndef byte
#define byte unsigned char
#endif

#ifndef word
#define word unsigned int
#endif

#ifndef longword
#define longword unsigned long
#endif

typedef struct
{
int x_coord;
int y_coord;
} coord_pr;

typedef struct
{
char rx_coord;
char ry_coord;
} rcoord_pr;

struct afi_entries
{
  void (far *array[59])();
};

extern struct afi_entries far *afi_ptr,far *(far getafi(void));

extern void far callafi(int,char far *);


#define HLINE(X)   callafi( 0,(char far *) X)
#define HCLINE(X)  callafi( 1,(char far *) X)
#define HRLINE(X)  callafi( 2,(char far *) X)
#define HCRLINE(X) callafi( 3,(char far *) X)
#define HSCP(X)    callafi( 4,(char far *) X)
#define HBAR()	   callafi( 5,(char far *) 0L)
#define HEAR(X)    callafi( 6,(char far *) X)
#define HSCOL(X)   callafi( 7,(char far *) X)
#define HOPEN(X)   callafi( 8,(char far *) X)
#define HSMX(X)    callafi( 9,(char far *) X)
#define HSBCOL(X)  callafi(10,(char far *) X)
#define HSLT(X)    callafi(11,(char far *) X)
#define HSLW(X)    callafi(12,(char far *) X)
#define HEGS()	   callafi(13,(char far *) 0L)
#define HSGQ(X)    callafi(14,(char far *) X)
#define HSCMP(X)   callafi(15,(char far *) X)
#define HINT(X)    callafi(16,(char far *) X)
#define HSPATTO(X) callafi(17,(char far *) X)
#define HSPATT(X)  callafi(18,(char far *) X)
#define HLDPAL(X)  callafi(19,(char far *) X)
#define HSHS(X)    callafi(20,(char far *) X)
#define HBBW(X)    callafi(21,(char far *) X)
#define HCBBW(X)   callafi(22,(char far *) X)
#define HBBR(X)    callafi(23,(char far *) X)
#define HBBCHN(X)  callafi(24,(char far *) X)
#define HBBC(X)    callafi(25,(char far *) X)
#define HSCOORD(X) callafi(26,(char far *) X)
#define HQCOORD(X) callafi(27,(char far *) X)
#define HSMODE(X)  callafi(28,(char far *) X)
#define HQMODE(X)  callafi(29,(char far *) X)
#define HQMODES(X) callafi(30,(char far *) X)
#define HQDPS(X)   callafi(31,(char far *) X)
#define HRECT(X)   callafi(32,(char far *) X)
#define HSBP(X)    callafi(33,(char far *) X)
#define HCLOSE(X)  callafi(34,(char far *) X)
#define HESC()	   callafi(35,(char far *) 0L)
#define HXLATE(X)  callafi(36,(char far *) X)
#define HSCS(X)    callafi(37,(char far *) X)
#define HCHST(X)   callafi(38,(char far *) X)
#define HCCHST(X)  callafi(39,(char far *) X)
#define ABLKMFI(X) callafi(40,(char far *) X)
#define ABLKCGA(X) callafi(41,(char far *) X)
#define AERASE(X)  callafi(42,(char far *) X)
#define ASCROLL(X) callafi(43,(char far *) X)
#define ACURSOR(X) callafi(44,(char far *) X)
#define ASCUR(X)   callafi(45,(char far *) X)
#define ASFONT(X)  callafi(46,(char far *) X)
#define AXLATE(X)  callafi(47,(char far *) X)
#define HINIT(X)   callafi(48,(char far *) X)
#define HSYNC(X)   callafi(49,(char far *) X)
#define HMRK(X)    callafi(50,(char far *) X)
#define HCMRK(X)   callafi(51,(char far *) X)
#define HSMARK(X)  callafi(52,(char far *) X)
#define HSLPC()    callafi(53,(char far *) 0L)
#define HRLPC()    callafi(54,(char far *) 0L)
#define HQCP(X)    callafi(55,(char far *) X)
#define HQDFPAL(X) callafi(56,(char far *) X)
#define HSPAL(X)   callafi(57,(char far *) X)
#define HRPAL(X)   callafi(58,(char far *) X)

#include "afidata.h"
